<?php

class Waindigo_LastPostAvatar_Listener_TemplateCreate extends Waindigo_Listener_TemplateCreate
{

    protected function _getTemplates()
    {
        return array(
            'forum_view',
            'forum_list',
            'waindigo_social_category_view_socialgroups'
        );
    } /* END _getTemplates */

    public static function templateCreate(&$templateName, array &$params, XenForo_Template_Abstract $template)
    {
        $templateCreate = new Waindigo_LastPostAvatar_Listener_TemplateCreate($templateName, $params, $template);
        $templateCreate->run();
    } /* END templateCreate */

    protected function _forumView()
    {
        $this->_preloadTemplate('waindigo_thread_list_item_lastpostavatar');
        $this->_forumList();
    } /* END _forumView */

    protected function _forumList()
    {
        $this->_preloadTemplate('waindigo_node_forum_avatar_lastpostavatar');
        $this->_preloadTemplate('waindigo_node_category_avatar_lastpostavatar');
        $this->_preloadTemplate('waindigo_node_library_avatar_lastpostavatar');
    } /* END _forumList */

    protected function _waindigoSocialCategoryViewSocialgroups()
    {
        $this->_preloadTemplate('waindigo_node_forum_avatar_lastpostavatar');
    } /* END _waindigoSocialCategoryViewSocialgroups */ /* END _socialCategoryView */
}